#!/bin/bash
#
BOARD="Unknown board"
BI="$(biosinfo)"

if [ "$(echo $BI | grep -i "QDI Winnex9")" != "" ] ||
   [ "$(echo $BI | grep -i "i810-W83627HF")" != "" ] ; then
   BOARD="MP_QDI"
elif [ "$(echo $BI | grep -i "07/15/97")" != "" ] || 
     [ "$(echo $BI | grep -i "Instant810C")" != "" ] ; then
   if [ "$(echo $BI | grep -i "1.21")" != "" ] ; then
      BOARD="MP_AVT121"
   else
      BOARD="MP_AVT122"
   fi
elif [ "$(echo $BI | grep -i "D1231")" != "" ] || 
     [ "$(echo $BI | grep -i "D163[68]")" != "" ] ||
     [ "$(echo $BI | grep -i "1.01.163[68]")" != "" ] ; then
   BOARD="ACTIVY"
elif [ "$(echo $BI | grep "Solano System CR Platform")" != "" ] ; then
   BOARD="SMT7020"
elif [ "$(echo $BI | grep VirtualBox)" != "" ] ; then
   BOARD="VirtualBox"   
fi
echo "$BOARD"
